#!/bin/bash

datafile="/etc/metaconf.macs"
arping="arping"

profile="$(while read line; do
	line="$(echo "$line" | sed -e 's/ *//;s/#.*$//;/^$/d')"
	[ -z "$line" ] && continue
	set $line # $1=profile, $2=interface, $3=ip, $4=mac
	ip link set $2 up # so we can arping, no need to have IP yet
	($arping -c 1 -I $2 -s 0.0.0.0 $3 | grep -q "\[$4\]" && echo "$1") &
done < $datafile; wait)"

[ -z "$profile" ] && exit 1 # we do nothing for an unknown network

set - $profile
profile=$1

echo "auto selected profile: $profile"
metaconf $profile

exit 0
